=== plasma/generic/dataengines/CMakeLists.txt ===
add_subdirectory(applicationjobs)
add_subdirectory(activities)
add_subdirectory(apps)
add_subdirectory(devicenotifications)
add_subdirectory(dict)
add_subdirectory(executable)
add_subdirectory(favicons)
add_subdirectory(filebrowser)
add_subdirectory(geolocation)
add_subdirectory(hotplug)
add_subdirectory(keystate)
add_subdirectory(network)
add_subdirectory(notifications)
add_subdirectory(nowplaying)
add_subdirectory(places)
add_subdirectory(powermanagement)
add_subdirectory(soliddevice)
add_subdirectory(time)
add_subdirectory(weather)
add_subdirectory(statusnotifieritem)
add_subdirectory(share)

if (NEPOMUK_FOUND)
    add_subdirectory(metadata)
endif (NEPOMUK_FOUND)

if(Boost_FOUND AND KDEPIMLIBS_FOUND)
   if(AKONADI_FOUND)
      add_subdirectory(akonadi)
   endif(AKONADI_FOUND)
   add_subdirectory(calendar)
   add_subdirectory(rss)
endif(Boost_FOUND AND KDEPIMLIBS_FOUND)

if(NOT WIN32)
   add_subdirectory(mouse)
   add_subdirectory(systemmonitor)
   if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
      add_subdirectory(tasks)
   endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
endif(NOT WIN32)
