=== debian/changelog ===
kde-workspace (4:4.8.4-6) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Remove plasma-scriptengine-googlegadgets, it's unmaintaned, buggy, and the
    few widgets which would work have good replacements in plasma.
    (Closes: #664225)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Breaks+Replaces to kde-style-oxygen against kdebase-runtime << 4:4.7.2
    (Closes: #697668).
  * Confirm symbols files:
    - From buildds' logs.
    - Using the current build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Jan 2013 13:12:08 -0300

kde-workspace (4:4.8.4-5) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove "New upstream release" from the previous changelog entry
    (Closes: #691302). Thanks Filipus Klutiero.
  * sessreg was merged in kdm (Closes: #692730):
    - Drop the use-sessreg option in kdm.options and its man page, as it is
      no longer needed.
    - Do not set UseSessReg to false in debian/patches/kdmrc_defaults.diff.
      The bug it solved has dissapeared during the merge.
    Thanks Wolfgang Schweer and Petter Reinholdtsen for digging into this.

  [ Pino Toscano ]
  * Backport upstream commit 89161c40e064958aa192b2202670316671d7e377 to fix
    the "demand" status of windows in the taskbar widget; patch
    upstream_Check-if-attention-demanding-status-has-changed-when.patch.
    (Closes: #685334)
  * Backport upstream commits d0343319fcfc249a38c79171be727d7133984eeb and
    53f6eca921a44a1f5e567b92d45ea84599afea74 to make powermanagementprofilesrc
    read as cascading config, and 9994e178b790b03a464c335e624366f82f0da643 for
    kwinrc.
  * Backport upstream commit 5b35757fc3613a18e2d784af53d1d23ebe295028 to
    improve the sorting of init .js files (followup of the changes backported
    in 4:4.8.4-3 with upstream_make-sure-scripts-are-executed-sorted.patch);
    patch upstream_Make-sure-the-plasma-desktop-scripts-are-sorted-in-t.patch.
  * Backport upstream commit 70cd86a5eef103137e64f2e3868a5bd2d58d71d7 to fix
    the deletion of launchers of preferred applications; patch
    upstream_Fix-deletion-of-preferred-application-launchers.patch.
    (Closes: #686131)
  * Make kde-workspace-bin ship a /etc/kde4 directory. (Closes: #694253)
  * Make kde-workspace-bin explicitly depend on qdbus, used by startkde.

  [ Debconf translation updates ]
  * Fix encoding of Polish (thanks to David Prévot). (Closes: #691953)
  * Fix encoding of Spanish (thanks to Camaleón). (Closes: #692209)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Dec 2012 18:26:16 -0300

kde-workspace (4:4.8.4-4) unstable; urgency=low

  * The package (re)building switches to XZ compression. (Closes: #688761)

  [ Pino Toscano ]
  * Add breaks/replaces in kde-window-manager against kdebase-workspace-data
    << 4.7.2. (Closes: #684972)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols from buildds' logs.
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Oct 2012 11:07:11 -0300

kde-workspace (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Fix build failure on Hurd; patch hurd.diff.
  * Remove a couple of double spaces in control.
  * Backport upstream commit b798928ac8b9c6acf804b5cd4101d8a2a860654a to sort
    the plasma-desktop init .js scripts;
    patch upstream_make-sure-scripts-are-executed-sorted.patch.
  * Improve the description of libkwinglutils1. (Closes: #678416)
  * Rewrite the description of liblsofui4. (Closes: #592553)
  * Backport upstream commit da6e2b49fd2a30aca167ae37ef3e3fd1c7d3bc58 to fix
    XDMCP login in kdm; patch
    upstream_centralize-interaction-notification-handling.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Jun 2012 22:26:42 -0300

kde-workspace (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Set strict shlibs for kde-style-oxygen, since the oxygenstyle library
    inside has no concept of binary compatibility.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 13:39:04 +0300

kde-workspace (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
    - fixes krunner crash. (Closes: #675888)
  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Add process_table_unclickable.diff. 
  * Add new_beams_custom_plots.diff.
  * Refresh patches to make them apply without any offset.
  * Confirm symbols files on more architectures with the 4.8.3 build logs.
  * Set plasma-scriptengine-googlegadgets priority to 'optional'. This fixes the
  * Move various documentation files about windows behaviour from
    kde-workspace-data to kde-window-manager.
  * Add new files to install for 4.8.4.
  * Set plasma-scriptengine-googlegadgets priority to 'extra'. This fixes the
    following lintian warning:
    - package-depends-on-lower-priority-package plasma-scriptengines:optional
      depends on plasma-scriptengine-googlegadgets:extra

  [ Modestas Vainius ]
  * Relax kde-workspace dependency on kdelibs so we can build with kde4libs
    4.8.3 (patch relax_kdelibs_dependency.diff).

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 18:09:56 +0300

kde-workspace (4:4.8.3-2) experimental; urgency=low

  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Add watch file.
  * Add nlist_ftbfs_krefreebsd.diff, avoids FTBFS'es on kfreebsd.
  * Add version for libpng build depend, now it's libpng12-dev (<< 1.5), this
    avoids building this package against the libpng packages from experimental.

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jun 2012 18:03:41 +0300

kde-workspace (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - fixes the incorrect behaviour when "show minimized windows only" option
      is used in plasma-settings. (Closes: #523862)
    - fixes the disappearing hotkey of klipper. (Closes: #651549)
  * Team upload.

  [ Eshat Cakar ]

